
public class SearchTest
{
	public static void main( String args[] )
	{
		int[] X = {10, 20, 40, 50, 55, 60, 64, 80, 99 };
		int[] targets = { 25, 55, 88, 80 };
		int[] positions;
		
		positions = RunLinearSearch( X, targets );
		print( positions );
		
		positions = RunBinarySearch( X, targets );
		print( positions );

	}
	
	public static void print( int[] A )
	{
		for( int i = 0; i < A.length; i++ )
		{
			System.out.println( i+":"+A[i] );
		}
	}
	
	public static int[] RunLinearSearch( int[] X, int[] targets )
	{
		LinearSearcher searcher = new LinearSearcher( X );
		int[] pos = new int[targets.length];
		for( int i = 0; i < targets.length; i++ )
		{
			pos[i] = searcher.search( targets[i] );
		}
		return pos;
	}

	public static int[] RunBinarySearch( int[] X, int[] targets )
	{
		BinarySearcher searcher = new BinarySearcher( X );
		int[] pos = new int[targets.length];
		for( int i = 0; i < targets.length; i++ )
		{
			pos[i] = searcher.search( targets[i] );
		}
		return pos;
	}
	
}
